package BattleforCronos
{
   function BattleforCronos::preLoad(%firstMission)
   {
      echo("preLoad BattleforCronos");

      // Need to store the map name for scripts to compare to current mission name
      $Map::MyMap = "BattleforCronos";

      // --------------------------------------------------------------------
      // Calls to hurtPlayer.cs and associated varibles
      // Enter/leave trigger messages
      $Map::onEnterTrigger = "\c0You got hit from blazing inferno!";
      $Map::onleaveTrigger = "\c0You have left blazing inferno.";

      // Random death messages
      $Map::KillMsg0 = "\c0You died from massive dose of fire and radiation!";
      $Map::KillMsg1 = "\c0Your you boil and you armor from massive heat and you die!";
      $Map::KillMsg2 = "\c0You burst in to flames and you die!";

      // Damage effects and amounts
      $Map::DamageEffect = 0; // Set to 1 for whiteout or 0 for red flash
      $Map::DamageVisual = 0; // Set to one to enable shield effect visual
      $Map::DamageAmount = 0.02; // Amount of damage to apply

      // --------------------------------------------------------------------
      // Call to noBarrelSwap package
      if(isPackage(noBarrelSwap))
         activatepackage(noBarrelSwap);
   }
     
   function BattleforCronos::InitMap()
   {
      
      echo("InitMap BattleforCronos");

      // --------------------------------------------------------------------
      // If we were to use Ping Pong by EvilCheese we would make the call here:
      // PingPongInit(NameToID(MovedObject), NameToID(MoveMarker), 10000, 10, 5000);
   }
     
   function BattleforCronos::DeactivateMap()
   {
      
      echo("DeactivateMap BattleforCronos");
      // Reset any globals we set in ::preLoad
      // We DO NOT DEACTIVATE PACKAGES, wicked nasty things will happen
      $Map::MyMap = "";

      // Reset our stuff used for hurtPlayer.cs
      $Map::onEnterTrigger = "";
      $Map::onleaveTrigger = "";
      $Map::KillMsg0 = "";
      $Map::KillMsg1 = "";
      $Map::KillMsg2 = "";
      $Map::DamageEffect = 0;
      $Map::DamageVisual = 0;
      $Map::DamageAmount = 0;
   }

   // --------------------------------------------------------------------
   // ANY ALTERED BASE FUNCTIONS SHOULD GO UNDER HERE WITHIN THIS PACKAGE!
   //
   // IF YOU ARE USING A SEPERATE FILE AS IN THE CASE OF noBarrelSwap.cs AND
   // IT ALTERS BASE FUNCTIONS, MAKE SURE TO PACKAGE IT AND ACTIVATE THE
   // PACKAGE VIA ONE OF THE ABOVE FUNCTIONS!
};
