///////////////////////////////////////////////////////////////////////////////////////////
// Barrel swap banning on a per barrel or accross the board basis.                       //
// By ZOD                                                                                //
//                                                                                       //
// Added the ability for mappers to ban certain barrels from the turret or all barrels.  //
// Simply add as an example:                                                             //
//                                                                                       //
// banBarrel[MissileBarrelLarge] = "1";                                                  //
// to the turrets datablock in the *.mis file to dissallow a certain barrel.             //
//                                                                                       //
// Or add: disableSwaps = "1";                                                           //
// in the datablock to totally disable all barrel swapping.                              //
///////////////////////////////////////////////////////////////////////////////////////////

package noBarrelSwap
{
   function TurretData::replaceCallback(%this, %turret, %engineer)
   {
      %barrel = %engineer.getMountedImage($BackPackSlot).turretBarrel;
      if(%turret.disableSwaps == 1)
      {
         messageClient(%engineer.client, 'MsgNoBarrelMount', '\c2This turret does not support barrel mounting.');
         %engineer.setImageTrigger($BackpackSlot, false);
         return;
      }
      if(%turret.banBarrel[%barrel])
      {
         messageClient(%engineer.client, 'MsgNoBarrelMount', '\c2This turret does not support a %1.', %barrel.getName());
         %engineer.setImageTrigger($BackpackSlot, false);
         return;
      }
      Parent::replaceCallback(%this, %turret, %engineer);
   }
};

////////////////////////////////////////////////////////////////////////////////
